import React from 'react';
import styled from '@emotion/styled';
import { size, rem } from 'polished';
import { Colors } from '../../assets/styles/colors';

export const BackArrowSvg = styled.svg`
  ${size(rem('28px'), rem('28px'))};
`;

export const BackArrowG = styled.g`
  ${size('100%', '100%')}
`;

export const BackArrowPath = styled.path`
  fill: ${Colors.PureWhite};
`;

export const BackArrowIcon = () => {
  return (
    <BackArrowSvg>
      <BackArrowG>
        <BackArrowPath d="M 27.324219 13.132812 L 15.628906 1.4375 C 15.1875 0.996094 14.640625 0.773438 13.996094 0.773438 C 13.335938 0.773438 12.796875 0.996094 12.378906 1.4375 L 0.683594 13.132812 C 0.226562 13.585938 0 14.132812 0 14.765625 C 0 15.390625 0.226562 15.929688 0.683594 16.382812 L 2.03125 17.730469 C 2.460938 18.1875 3 18.414062 3.648438 18.414062 C 4.292969 18.414062 4.832031 18.1875 5.261719 17.730469 L 10.546875 12.46875 L 10.546875 25.113281 C 10.546875 25.738281 10.769531 26.242188 11.21875 26.632812 C 11.667969 27.023438 12.210938 27.214844 12.84375 27.214844 L 15.144531 27.214844 C 15.777344 27.214844 16.320312 27.023438 16.769531 26.632812 C 17.21875 26.242188 17.445312 25.738281 17.445312 25.113281 L 17.445312 12.46875 L 22.726562 17.730469 C 23.15625 18.1875 23.695312 18.414062 24.34375 18.414062 C 24.976562 18.414062 25.523438 18.1875 25.976562 17.730469 L 27.324219 16.382812 C 27.765625 15.917969 27.988281 15.378906 27.988281 14.765625 C 27.988281 14.144531 27.765625 13.597656 27.324219 13.132812 Z M 27.324219 13.132812" />
      </BackArrowG>
    </BackArrowSvg>
  );
};
